Subject: RE: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"

From: "Drew Adams" <[email-masked]>
Date: Wed, 24 Oct 2012 08:09:21 -0700

> >> I found a way to reproduce this: have a corrupt bookmarks file.
> >> Check the contents of your bookmark-default-file. Try 
> >> (re)moving it.
> > Wonderfull. I had an empty ~/.emacs.d/bookmarks file.
> > I removed it and the problem is gone.
> 
> Hmm... it would be good if Emacs were a bit more helpful here by
> maybe including the bookmark file name in the error.
> 
> > The error message makes sense ... as soon as you know where 
> > the problem comes from :)
> 
> Also, while it's good to signal to the user that his bookmark file
> is corrupted (and to make sure we don't overwrite it with 
> something else), I don't see why that should prevent Org's
> Refile from working.

Sorry, I have not been following this thread - excuse me if I misunderstand.

But AFAIK an empty bookmark file should not present any problems for Emacs (for
bookmark handling, at least, and I would hope for Org mode and anything else
too).

Is that really what the problem was - an empty bookmark file was interpreted (by
something) as a corrupt bookmark file?  If so, that in itself sounds like a bug,
to me.

I use Bookmark+, but I would guess that vanilla bookmark.el too handles the
existence of an empty bookmark file with no problem.  If not, that would be the
first thing to fix, I would think.

(Again, ignore if I've misunderstood.)